/* ------------------------------------------------------------------ */
/*		       Q u i t S y n c . j a v a		      */
/*		       =========================		      */
/*								      */
/*   This file contains the source of the "QuitSync" class. It is     */
/*   contained in the "user.common" package.			      */
/* -------------------------------------------------------------------*/


package user.common;


public class  QuitSync
{
    private boolean  quit;


    public  QuitSync ()
    {
	quit = false;
    }


    public void  reset ()
    {
	synchronized (this)
	{
	    quit = false;
	}
    }


    public void  set ()
    {
	synchronized (this)
	{
	    quit = true;
	}
    }


    public void  checkThrow ()  throws  QuitException
    {
	boolean  curr_quit;

	synchronized (this)
	{
	    curr_quit = quit;
	}

	if (curr_quit)
	    throw new QuitException ();
    }
}
